@import "bootstrap/functions";
@import "bootstrap/variables";

// Color scheme generated using http://colormind.io/bootstrap/
$light-shade: #F4F4EE;
$light-accent: #868977;
$brand: #75A9CF;
$brand-light: lighten($brand, 20%);
$dark-accent: #896073;
$dark-shade: #234C68;
$darker-shade: darken($dark-shade, 15%);
$green: #5d9e59;
$yellow: #da8e21;
$red: #f44336;

// Overriding some grays
$gray-100: $light-shade;
$gray-200: $gray-200;
$gray-600: #999999;
$gray-700: #555555;
$gray-900: $darker-shade;
//$gray-900: #191919;

// Defining theme main colors
$primary: $brand;
$secondary: $light-accent;
$success: $green;
$info: $darker-shade;
$warning: $yellow;
$danger: $red;
$light: $light-shade;
$darker-light: darken($light, 10%);
$dark: $dark-shade;

$theme-colors: (
  brand-light: $brand-light,
  primary: $primary,
  secondary: $secondary,
  success: $success,
  info: $info,
  warning: $warning,
  danger: $danger,
  light: $light,
  darker-light: $darker-light,
  dark: $dark
);

$body-color: $dark;
$body-bg: $light;

// Spacer
$spacer: 1.75rem;

// Fonts
@import url('https://fonts.googleapis.com/css?family=Montserrat');
@import url('https://fonts.googleapis.com/css?family=Lato');
@import url('https://fonts.googleapis.com/css?family=Comfortaa');
$font-family-sans-serif: 'Lato', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
$font-family-base:       $font-family-sans-serif;
$headings-font-family:   'Montserrat', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
$brand-font-family:   'Comfortaa', $font-family-sans-serif;

// Components
$component-active-color: $light;

// Links
$link-color:            $secondary;
$link-decoration:       none;
$link-hover-color:      darken($link-color, 15%);
$link-hover-decoration: none;

// Nav
$navbar-padding-y: $spacer * 0.6;

// Navbar
$navbar-brand-font-size: $h3-font-size;

// Badge
$badge-color: $light;
$badge-padding-y:             .5em;
$badge-pill-padding-x:        .75em;
// Use a higher than normal value to ensure completely rounded edges when
// customizing padding or font-size on labels.
$badge-pill-border-radius:    10rem;


// Buttons
//$input-btn-padding-x:       .75rem !default;
$input-btn-padding-x:       1.3rem;
//$input-btn-line-height:     1.25 !default;
$input-btn-line-height:     1.75;

//$input-btn-padding-x-sm:    .5rem !default;
$input-btn-padding-x-sm:    1rem;
//$input-btn-line-height-sm:  1.5 !default;
$input-btn-line-height-sm:  1.75;

//$input-btn-padding-x-lg:    1rem !default;
$input-btn-padding-x-lg:    1.5rem;
//$input-btn-line-height-lg:  1.5 !default;
$input-btn-line-height-lg:  2;

// Jumbotron
$jumbotron-bg: $darker-light;

// Borders
$border-color: $brand-light;

// Breadcrumbs
$breadcrumb-padding-y: $nav-link-padding-y;

$breadcrumb-margin-bottom: 0;

$breadcrumb-bg: $darker-light;

// Cards
$card-border-color: $darker-light;

// List group
$list-group-border-color: $darker-light;

// Carousel (not bootstrap)
$carousel-bg: $darker-shade;